org.apache.ignite.internal.processors.platform.cache.affinity

## Class PlatformAffinityManager

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cache.affinity.PlatformAffinityManager

All Implemented Interfaces:
  PlatformTarget

    public class PlatformAffinityManager
    extends PlatformAbstractTarget

AffinityManager wrapper for platforms.

### Field Summary

Fields
`static int` `OP_IS_ASSIGNMENT_VALID`

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformAffinityManager(PlatformContext platformCtx, int cacheId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInLongOutLong, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutObject, processOutStream, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OP_IS_ASSIGNMENT_VALID

    public static final int OP_IS_ASSIGNMENT_VALID

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformAffinityManager

    public PlatformAffinityManager(PlatformContext platformCtx,
                                   int cacheId)

Constructor.

Parameters:
  `platformCtx` - Context.

### Method Detail

#### processInStreamOutLong

    public long processInStreamOutLong(int type,
                                       BinaryRawReaderEx reader)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021